<template>
<b-container>
    <b-form @submit="onSubmit" >
      <b-form-group
        id="input-group-1"
        label="Correo electronico:"
        label-for="input-1"
        
      >
        <b-form-input
          id="input-1"
          v-model="form.username"
          type="text"
          required
          placeholder="Usuario"
        ></b-form-input>
      </b-form-group>

      <b-form-group id="input-group-2" label="Nombre:" label-for="input-2">
        <b-form-input
          id="input-2"
          v-model="form.password"
          type= password
          required
          placeholder="Contraseña"
        ></b-form-input>
      </b-form-group>
        
      <b-button type="submit" variant="primary">Ingresar</b-button>
      <br />
        <h5> ¿No tienes cuenta? </h5>
         <router-link to="/sign-up">Registrate aqui</router-link>

    </b-form>

  <b-modal id="bv-modal-example" hide-footer>
    <template v-slot:modal-title>
      <h3> Usuario o contraseña incorrecta </h3>
    </template>
    <div class="d-block text-center">
      <router-link to="/SignUp">Registrate aqui</router-link>
    </div>
    
  </b-modal>
  </b-container>
</template>

<script>
  export default {
    data() {
      return {
        form: {
          username: '',
          password: '',
        },
      }
    },
    methods: {
      onSubmit(evt) {
        evt.preventDefault()
        fetch('http://localhost:5000/api/login/', {
            method: 'POST',
            body: JSON.stringify(this.form),
            headers:{
              "content-type": "application/json"
            }
        })
        .then(response => {
          if(response.ok) {
            this.$store.commit('addLoggedUser', this.form.username)
            this.$router.push('/')
          }
          else{
            this.$bvModal.show("bv-modal-example")
          }
        })
        
      }
    
    }
  }
</script>
